package org.dromara.project.domain.enums;

import lombok.Getter;

/**
 * @author lcj
 * @date 2025/4/9 14:10
 */
@Getter
public enum BusConstructionUserAttendanceStatusEnum {

    NORMAL("全天考勤正常", "1"),
    ONECLOCK("当天只打了一次卡", "2"),
    UNCLOCK("当天缺卡", "3"),
    LEAVE("当天请假", "4");

    private final String text;

    private final String value;

    BusConstructionUserAttendanceStatusEnum(String text, String value) {
        this.text = text;
        this.value = value;
    }

}
